Magick::MutexLock Class Reference

`#include <Thread.h>`

## Public Member Functions

| MutexLock (void)
| ~MutexLock (void)
void | lock (void)
void | unlock (void)

## Detailed Description

Definition at line 29 of file Thread.h.

## Constructor & Destructor Documentation

## MutexLock()

Magick::MutexLock::MutexLock | ( | void |  | ) |

Definition at line 20 of file Thread.cpp.

References Magick::throwExceptionExplicit().

## ~MutexLock()

Magick::MutexLock::~MutexLock | ( | void |  | ) |

Definition at line 67 of file Thread.cpp.

## Member Function Documentation

## lock()

void Magick::MutexLock::lock | ( | void |  | ) |

Definition at line 78 of file Thread.cpp.

References Magick::throwExceptionExplicit().

Referenced by Magick::ImageRef::replaceImage().

## unlock()

void Magick::MutexLock::unlock | ( | void |  | ) |

Definition at line 97 of file Thread.cpp.

References Magick::throwExceptionExplicit().

Referenced by Magick::ImageRef::replaceImage().

The documentation for this class was generated from the following files:

- Thread.h
- Thread.cpp